<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <s:div id="globalDiv">
                <h1>#{messages['net.ihe.gazelle.hpd.LDAPNodesManagement']}</h1>
                <h:panelGroup rendered="#{ldapNodeManager.displayList}">
                    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
                        <ui:param name="panel_id" value="allNodesPanel"/>
                        <ui:define name="panel_title">
                            <h:outputText value="#{messages['net.ihe.gazelle.hpd.LDAPNodes']}"/>
                        </ui:define>
                        <a4j:commandButton value="#{messages['net.ihe.gazelle.hpd.CreateANewNode']}"
                                           actionListener="#{ldapNodeManager.createNewNode()}"
                                           render="globalDiv" styleClass="gzl-btn-green"/>
                        <s:decorate template="/common/ldapnode/nodeDatatable.xhtml"
                                    rendered="#{not empty ldapNodeManager.availableNodes}">
                            <ui:param name="nodes" value="#{ldapNodeManager.availableNodes}"/>
                            <ui:define name="additional_columns">
                                <g:column>
                                    <ui:define name="header">#{messages['users.Action']}</ui:define>
                                    <div class="gzl-never-wrap">
                                        <a4j:commandLink event="click"
                                                         title="#{messages['net.ihe.gazelle.hpd.EditNode']}"
                                                         render=" :globalDiv" execute="@this"
                                                         actionListener="#{ldapNodeManager.editNode(node)}">
                                            <span class="gzl-icon-pencil"/>
                                        </a4j:commandLink>
                                    </div>
                                </g:column>
                            </ui:define>
                        </s:decorate>
                        <h:outputText value="#{messages['net.ihe.gazelle.hpd.NoLDAPNodeHasBeenDefinedYet']}"
                                      rendered="#{empty ldapNodeManager.availableNodes}"/>
                    </ui:decorate>
                </h:panelGroup>
                <s:div id="editNodeDiv"
                       rendered="#{ldapNodeManager.displayEdit and ldapNodeManager.selectedNode != null}">
                    <ui:include src="/common/ldapnode/editNode.xhtml">
                        <ui:param name="node" value="#{ldapNodeManager.selectedNode}"/>
                        <ui:param name="availableClasses" value="#{ldapNodeManager.getAvailableClasses()}"/>
                    </ui:include>
                </s:div>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>
